Package org.eclipse.emf.cdo.expressions.util

# Class ExpressionsUtil

java.lang.Object
org.eclipse.emf.cdo.expressions.util.ExpressionsUtil

public class ExpressionsUtil extends Object
Provides static factory methods for common `expressions`.

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`ExpressionsUtil()`

## Method Summary

Modifier and Type
Method
Description
`static FunctionInvocation`
`construct(Expression className, Expression... arguments)`
`static FunctionInvocation`
`invoke(Expression name, Expression... arguments)`
`static MemberInvocation`
`invokeMember(Expression object, Expression name, Expression... arguments)`
`static ListConstruction`
`list(Expression... elements)`
`static BooleanValue`
`value(boolean literal)`
`static ByteValue`
`value(byte literal)`
`static CharValue`
`value(char literal)`
`static DoubleValue`
`value(double literal)`
`static FloatValue`
`value(float literal)`
`static IntValue`
`value(int literal)`
`static LongValue`
`value(long literal)`
`static ShortValue`
`value(short literal)`
`static StringValue`
`value(String literal)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExpressionsUtil

public ExpressionsUtil()

## Method Details

### value

public static BooleanValue value(boolean literal)

### value

public static ByteValue value(byte literal)

### value

public static CharValue value(char literal)

### value

public static DoubleValue value(double literal)

### value

public static FloatValue value(float literal)

### value

public static IntValue value(int literal)

### value

public static LongValue value(long literal)

### value

public static ShortValue value(short literal)

### value

public static StringValue value(String literal)

### list

public static ListConstruction list(Expression... elements)

### invokeMember

public static MemberInvocation invokeMember(Expression object, Expression name, Expression... arguments)

### invoke

public static FunctionInvocation invoke(Expression name, Expression... arguments)

### construct

public static FunctionInvocation construct(Expression className, Expression... arguments)